Summary:  SCILAB 
Name: scilab
%define version 2.4
%define prefix	/opt
Version: %{version}
Release: 1a
Requires: tk >= 8.0, tcl >= 8.0
Copyright: distributable
Group: Applications/Math
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Source0: ftp://ftp.inria.fr/INRIA/Projects/Meta2/Scilab/scilab-%{version}-src.tar.gz
Patch0: localhost:/scilab-%{version}-ppc.patch
BuildRoot: /tmp/scilab-root

%description 
Scilab is a matrix-based scientific software package resembling
MATLAB and Xmath.  Scilab contains hundreds of built-in mathematical
functions, sophisticated data structures (including polynomials,
rationals, linear systems, lists, etc...), a high-level interpretor and
a macro language, and excellent graphics.

%changelog
* Fri Aug 28 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release with version-2.4

%prep 
%setup
%ifarch ppc
%patch0 -p1
%endif
rm bin/*.orig

%build
./configure --with-tk
make all

%install
rm Path.incl
cat >Path.incl <<EOF
%{prefix}/scilab
EOF
for i in bin/B* bin/scilab util/B* maple/maple2scilab.mpl; do
  sed -e "s;$RPM_BUILD_DIR/scilab-%{version};%{prefix}/scilab;" $i > $i.new
  mv $i.new $i
  chmod a+x $i
done
chmod a-x maple/maple2scilab.mpl
mkdir -p $RPM_BUILD_ROOT%{prefix}/scilab
pax -w X11_defaults bin doc demos examples man macros maple \
	tcl util Makefile.incl Path.incl Version.incl scilab.star scilab.quit \
	| (cd $RPM_BUILD_ROOT%{prefix}/scilab;pax -rv)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ACKNOWLEDGEMENTS CHANGES README notice*
%{prefix}/scilab
